Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 138157 - Cannot install patch2 when updating from bubble (post-install hook)
Cannot install patch2 when updating from bubble (post-install hook)
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All Mac OS X
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 22:07 UTC by Jaromir Uhrik
Modified: 2008-07-10 15:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot attached... (73.62 KB, image/png)
2008-06-24 22:09 UTC, Jaromir Uhrik
Details
Begin of the messages.log - I have cut repeating exceptions (72.60 KB, text/plain)
2008-06-25 09:09 UTC, Jaromir Uhrik
Details
Screenshot attached... (51.33 KB, image/png)
2008-06-25 09:31 UTC, Jaromir Uhrik
Details
the messages log from 'bubble' before install (30.12 KB, text/plain)
2008-06-25 09:34 UTC, Jaromir Uhrik
Details
NBM w/ post-install hook (336.25 KB, application/x-compressed)
2008-06-26 14:32 UTC, Jiri Rechtacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2008-06-24 22:07:10 UTC
The patch2 from the update center http://bits.netbeans.org/netbeans/6.1/fixes/2008-06-24_14-17-56/uc/catalog.xml.gz 
cannot be installed in NetBeans 6.1 on Mac OS X. This patch can be installed correctly when updating from Plugin
Manager. Also this patch can be correctly installed on Windows.

Steps to reproduce:
====================
-delete userdir
-install NetBeans full ide from installer
-install patch 1 (install all 21 plugins at once)
-add http://bits.netbeans.org/netbeans/6.1/fixes/2008-06-24_14-17-56/uc/catalog.xml.gz to the plugin manager
-close Plugin Manager and restart IDE
-push the bubble when it appears at the bottom of IDE 
-follow the installation of the patch2 (install all 24 plugins at once)
-when the IDE restarts the warning dialog with the dependencies problem appears - see attached screenshot
Comment 1 Jaromir Uhrik 2008-06-24 22:09:08 UTC
Created attachment 63368 [details]
Screenshot attached...
Comment 2 Jaromir Uhrik 2008-06-25 09:02:10 UTC
I have easier steps to reproduce on Mac:
-clear userdir
-install NetBeans 6.1 javase distribution and run it 
-add mentioned update center with patch2 bits to plugin manager
-close plugin manager
-click on bubble and proceed the installation
Comment 3 Jaromir Uhrik 2008-06-25 09:09:06 UTC
Created attachment 63396 [details]
Begin of the messages.log - I have cut repeating exceptions
Comment 4 Jaromir Uhrik 2008-06-25 09:29:44 UTC
When intalling patch from bubble then plugins "IDE Platform" and "Platform" are missing in the list. See the attached
screenshot where difference of installation via 'bubble' vs 'plugin manager' are visible.
Comment 5 Jaromir Uhrik 2008-06-25 09:31:29 UTC
Created attachment 63400 [details]
Screenshot attached...
Comment 6 Jaromir Uhrik 2008-06-25 09:34:37 UTC
Created attachment 63402 [details]
the messages log from 'bubble' before install
Comment 7 Jiri Rechtacek 2008-06-26 14:30:08 UTC
Caused unlucky combination of issue 138095 and issue 134395. Both are Mac specific. We will use post-install hook for
solving that for NB6.1 Patch2.
Comment 8 Jiri Rechtacek 2008-06-26 14:32:51 UTC
Created attachment 63514 [details]
NBM w/ post-install hook
Comment 9 Jaromir Uhrik 2008-07-01 07:48:51 UTC
Verified. It is possible to install it the latest staged patch binaries now.
Comment 10 Jaromir Uhrik 2008-07-07 15:22:26 UTC
This fix has been used in patch 2 as described in issue #138450.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo